Skip to main content
PUT
/
api
/
decks
/
{deckId}
/
branding
Upsert branding
curl --request PUT \
  --url https://app.demand-iq.com/api/decks/{deckId}/branding \
  --header 'Content-Type: application/json' \
  --cookie session= \
  --data '
{
  "palette": {
    "primary": "#1a73e8",
    "primaryLight": "#4a9af5",
    "accent": "#fbbc04",
    "neutral": "#5f6368",
    "text": "#202124"
  },
  "cta": {
    "headline": "<string>",
    "body": "<string>",
    "buttonText": "<string>",
    "buttonUrl": "<string>"
  },
  "name": "<string>",
  "logo": "<string>",
  "avatar": "<string>",
  "chatName": "<string>",
  "chatGreeting": "<string>",
  "fonts": {},
  "contact": {
    "phone": "<string>",
    "email": "jsmith@example.com"
  }
}
'
{}

Authorizations

session
string
cookie
required

Session cookie obtained from POST /api/auth/login.

Path Parameters

deckId
string<uuid>
required

UUID of the deck

Body

application/json
palette
object
required
cta
object
required
name
string
logo
string | null

S3 key for logo image

avatar
string | null

S3 key for rep avatar image

chatName
string | null
chatGreeting
string | null
fonts
object
contact
object

Response

Saved branding

branding
object